UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
com.latencybusters.lbm.LBMTransportSourceInfo Class Reference

## Public Member Functions
int | getType ()
long | getSrcIp ()
int | getSrcPort ()
int | getDestPort ()
long | getMCGroup ()
long | getTransportId ()
long | getSessionId ()
long | getTopicIdx ()

## Static Public Attributes
static final int | TRANSPORT_TYPE_TCP = 0x00
static final int | TRANSPORT_TYPE_LBTRM = 0x10
static final int | TRANSPORT_TYPE_LBTRU = 0x01
static final int | TRANSPORT_TYPE_LBTIPC = 0x40
static final int | TRANSPORT_TYPE_LBTRDMA = 0x20

## Detailed Description

UM Transport Source Info class. Holds source information that is passed up as part of the source cost callback function. These members are used to format and/or parse transport source strings. The format of these strings depends mainly on the transport type, as shown below.

- TCP:src_ip:src_port[topic_idx]
  example: `TCP:192.168.0.4:45789[1539853954]`
- LBTRM:src_ip:src_port:session_id:mc_group:dest_port[topic_idx]
  example: `LBTRM:10.29.3.88:14390:e0679abb:231.13.13.13:14400[1539853954]`
- LBT-RU:src_ip:src_port:session_id[topic_idx] (session_id optional, per configuration
  example: `LBT-RU:192.168.3.189:34678[1539853954]`
- LBT-IPC:session_id:transport_id[topic_idx]
  example: `LBT-IPC:6481f8d4:20000[1539853954]`
- LBT-RDMA:src_ip:src_port:session_id[topic_idx]
  example: `LBT-RDMA:192.168.3.189:34678:6471e9c4[1539853954]`

Please note that the topic index field (topic_idx) may or may not be present depending on your version of UM and/or the setting for configuration option source_includes_topic_index.

## Member Function Documentation

int com.latencybusters.lbm.LBMTransportSourceInfo.getDestPort | ( |  | ) |

Destination port. Applicable only to LBT-RM. Stored in host order.

Returns
  The destination port

long com.latencybusters.lbm.LBMTransportSourceInfo.getMCGroup | ( |  | ) |

Multicast group. Applicable only to LBT-RM. Stored in network order.

Returns
  The multicast group

long com.latencybusters.lbm.LBMTransportSourceInfo.getSessionId | ( |  | ) |

Session ID. Applicable only to LBT-RM, LBT-RU, and LBT-IPC. Stored in host order.

Returns
  The session id

long com.latencybusters.lbm.LBMTransportSourceInfo.getSrcIp | ( |  | ) |

Source IP address. Applicable only to LBT-RM, LBT-RU, TCP, and LBT-RDMA. Stored in network order.

Returns
  The source ip address

int com.latencybusters.lbm.LBMTransportSourceInfo.getSrcPort | ( |  | ) |

Source port. Applicable only to LBT-RM, LBT-RU, TCP, and LBT-RDMA. Stored in host order.

Returns
  The source port

long com.latencybusters.lbm.LBMTransportSourceInfo.getTopicIdx | ( |  | ) |

Topic index. Applicable to all transports. Stored in host order.

Returns
  The topic index

long com.latencybusters.lbm.LBMTransportSourceInfo.getTransportId | ( |  | ) |

Transport ID. Applicable only to LBT-IPC. Stored in host order.

Returns
  The transport id

int com.latencybusters.lbm.LBMTransportSourceInfo.getType | ( |  | ) |

Type of transport

Returns
  The type of transport

## Member Data Documentation

final int com.latencybusters.lbm.LBMTransportSourceInfo.TRANSPORT_TYPE_LBTIPC = 0x40
| static

Transport type: LBT-IPC transport.

final int com.latencybusters.lbm.LBMTransportSourceInfo.TRANSPORT_TYPE_LBTRDMA = 0x20
| static

Transport type: LBT-RDMA transport.

final int com.latencybusters.lbm.LBMTransportSourceInfo.TRANSPORT_TYPE_LBTRM = 0x10
| static

Transport type: LBT-RM transport.

final int com.latencybusters.lbm.LBMTransportSourceInfo.TRANSPORT_TYPE_LBTRU = 0x01
| static

Transport type: LBT-RU transport.

final int com.latencybusters.lbm.LBMTransportSourceInfo.TRANSPORT_TYPE_TCP = 0x00
| static

Transport type: TCP transport.

The documentation for this class was generated from the following file:

- LBMTransportSourceInfo.java